{% block sw_cms_element_banner_element_config %}
	<div class="sw-cms-el-config-banner-element">
		
		<sw-text-editor 
			v-model="element.config.elementText.value"
			:label="$tc('sw-cms.elements.bannerElement.config.label.elementText')"
			:placeholder="$tc('sw-cms.elements.bannerElement.config.label.elementTextPlaceholder')"
			:isInlineEdit="false"/>
		
		<sw-field 
			v-model="element.config.elementButtonText.value"
			type="text"
			:label="$tc('sw-cms.elements.bannerElement.config.label.buttonText')"
			:placeholder="$tc('sw-cms.elements.bannerElement.config.label.buttonTextPlaceholderText')">
		</sw-field>
			
		<sw-url-field
			v-model="element.config.elementButtonLink.value"
			:label="$tc('sw-cms.elements.bannerElement.config.label.elementButtonLink')">
		</sw-url-field>
			
		<sw-media-list-selection-v2
			:entityMediaItems="mediaItems"
			:entity="enitiy"
			:uploadTag="uploadTag"
			:defaultFolder="defaultFolderName"
			@upload-finish="onImageUpload"
			@item-remove="onItemRemove"
			@open-sidebar="onOpenMediaModal">
		</sw-media-list-selection-v2>
		
		<sw-media-modal-v2
			variant="regular"
			v-if="mediaModalIsOpen"
			:caption="$tc('sw-cms.elements.general.config.caption.mediaUpload')"
			:entityContext="cmsPageState.entityName"
			:initialFolderId="cmsPageState.defaultMediaFolderId"
			@media-upload-remove-image="onItemRemove"
			@media-modal-selection-change="onMediaSelectionChange"
			@modal-close="onCloseMediaModal">
		</sw-media-modal-v2>
		
	</div>
{% endblock %}